Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Update a page

PUT/pages/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired

Page ID or slug

Request body
requiredapplication/json
titlestring
slugstring
descriptionstring
formatstring

markdown is accepted as input and converted to html before saving.

Allowed:htmlblocksmarkdown
bodystring
visibleboolean
Responses
200

Page updated

_linksHalLinks
idinteger
shop_idinteger
titlestring
slugstring
bodystring
descriptionstring
visibleboolean
formatstring
created_onstring<date-time>
updated_onstring<date-time>
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/pages/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "slug": "string",
  "description": "string",
  "format": "html",
  "body": "string",
  "visible": true
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?